/*
 * File:   EmptyContextPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */
 
package gui.context;

import sim.Simulation;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
import java.awt.Color;
import java.awt.Container;
import javax.swing.SpringLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/** The default, empty context panel */
public class EmptyContextPanel extends ContextPanel{

	public EmptyContextPanel(Simulation sim){ super(sim); }
	
	public void generate(){}
	
	public void enableButtons(){}
	
	public void disableButtons(){}
	
	private class ButtonListner implements ActionListener{
		public void actionPerformed(ActionEvent e) { }
	}
}
