/*
 * File:   EndIcon.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

package gui.icon;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.Icon;


/** Icon representing an arrow to the final history item */
public class EndIcon implements Icon{
	public int getIconHeight(){ return 13; }
	public int getIconWidth() { return 13; }
	public void paintIcon(Component c, Graphics g, int x, int y){
		g.setColor(new Color(0,0,130));
		g.fillRect(x+9, y, 2, 11);
		int[] xPoints = {x+11, x, x, x+5, x, x};
		int[] yPoints = {y+6, y, y+3, y+6, y+8, y+11};
		g.fillPolygon(xPoints, yPoints , 6);
	}
}
